## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-zhon
Version:        2.1.1
Release:        %autorelease
Summary:        Zhon provides constants used in Chinese text processing


License:        MIT
URL:            https://github.com/tsroten/zhon
Source:         %{url}/archive/v%{version}/zhon-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%global _description %{expand:
Zhon is a Python library that provides constants commonly used in Chinese text
processing.  Zhon includes the following commonly-used constants:
- CJK characters and radicals
- Chinese punctuation marks
- Chinese sentence regular expression pattern
- Pinyin vowels, consonants, lowercase, uppercase, and punctuation
- Pinyin syllable, word, and sentence regular expression patterns
- Zhuyin characters and marks
- Zhuyin syllable regular expression pattern
- CC-CEDICT characters}

%description %_description

%package -n     python3-zhon
Summary:        %{summary}

%description -n python3-zhon %_description


%prep
%autosetup -n zhon-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
# build documentation
pushd docs
sphinx-build -b text .  text
popd

%install
%pyproject_install
%pyproject_save_files zhon


%check
%pyproject_check_import
%pytest

%files -n python3-zhon -f %{pyproject_files}
%doc docs/text/api.txt
%doc docs/text/authors.txt
%doc docs/text/contributing.txt
%doc docs/text/history.txt

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 2.1.1-2
- Rebuilt for Python 3.14

* Tue Mar 25 2025 Benson Muite <fed500@fedoraproject.org> - 2.1.1-1
- Initial import bz#2354265
## END: Generated by rpmautospec
